from django.urls import re_path
from django_cas_ng import views as views_cas_ng
from accounts import views as views_account

urlpatterns = (
    re_path(r"^subscribe/$", views_account.user_creation, name="create-user"),
    re_path(r"^recovery/$", views_account.user_recovery, name="recovery-user"),
    re_path(r"^recovery/(?P<token>[A-Za-z0-9]+)/$", views_account.user_define_password, name="change-password"),
    re_path(r"^validate/(?P<token>[A-Za-z0-9]+)/$", views_account.user_define_password, name="validate-user"),
    re_path(r"^email/validate/(?P<token>[A-Za-z0-9]+)/$", views_account.email_validate, name="validate-email"),
    re_path(r"^profile/$", views_account.profile, name="profile"),
    re_path(r"^cas_login/$", views_cas_ng.LoginView.as_view(), name="cas_ng_login"),
    re_path(r"^cas_logout/$", views_cas_ng.LogoutView.as_view(), name="cas_ng_logout"),
    re_path(r"^cas_callback/$", views_cas_ng.CallbackView.as_view(), name="cas_ng_proxy_callback"),
    re_path(r"^logout/$", views_account.logout_billetterie, name="accounts_logout"),
    re_path(r"^associate_account/$", views_account.associate_views, name="associate_account"),
    re_path(r"^associate_del/$", views_account.associate_del, name="associate_del"),
    re_path(r"^delete/$", views_account.delete_account, name="delete_account"),
    re_path(r"^access_data/$", views_account.access_user_data, name="access_user_data"),
)
